Subject: I-D Action: draft-wang-bess-mvpn-upstream-df-selection-00.txt

From: [email-masked]
Date: Sat, 23 Oct 2021 01:48:20 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Multicast VPN Upstream Designated Forwarder Selection
        Authors         : Heng Wang
                          Fanghong Duan
	Filename        : draft-wang-bess-mvpn-upstream-df-selection-00.txt
	Pages           : 7
	Date            : 2021-10-23

Abstract:
   This document defines Multicast Virtual Private Network (VPN)
   extensions and procedures that allow fast failover for upstream
   failures by allowing upstream Provider Edges (PEs) to determine a
   single forwarder for a VPN multicast flow, without the downstream
   PEs' duplication prevention.  The fast failover is accomplished by
   using Virtual Router Redundancy Protocol (VRRP) [RFC5798] or similar
   technologies for the upstream PEs to determine a single desinated
   fowarder.  Also, this document introduces a new BGP Extended
   Community called "Upstream Forwarder Selection", carried by BGP VPN
   route so that the upstream PEs can inform downstream PEs the election
   behavior.  The downstream PEs, accordingly, send C-multicast routes
   to both the primary and standby upstream PEs and forward the
   multicast flow comming from both sides to the CEs.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-wang-bess-mvpn-upstream-df-selection/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-wang-bess-mvpn-upstream-df-selection-00

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/